GET/v1/webhook-endpoint
Get the webhook endpoint
Returns the environment's webhook endpoint, or none, without its signing secret. Needs project:settings.
curl 'https://api.entitler.co/v1/webhook-endpoint' \
-H "Authorization: Bearer $ENTITLER_KEY"Credentials
Send any one of these:
- Bearer token
Query parameters
| Name | Type | Description |
|---|---|---|
target.team_id | string | |
target.project_id | string | |
target.environment_id | string |
Responses
200The GetWebhookEndpointResponse message.
GetWebhookEndpointResponse
endpointWebhookEndpointnoticeDaysinteger (int64)requiredat least 0; at most 4294967295
updatedAtintegerrequiredat least 0; at most 18446744073709552000
urlstringrequired
ErrorA refusal, with the HTTP status of its gRPC code.
Error
errorobjectrequiredcodestringrequiredparametersobjectrequiredEach value: string
reasonstringor nullrequired